FFI::Probe::Runner(3)

NAME
FFI::Probe::Runner - Probe runner for FFI

VERSION
version 2.10

SYNOPSIS
 use FFI::Probe::Runner;

 my $runner = FFI::Probe::Runner->new;
 $runner->run('foo.so');

DESCRIPTION
This class executes code in a dynamic library for probing and detecting platform properties.

CONSTRUCTOR

  new
 my $runner = FFI::Probe::Runner->new(%args);

Creates a new instance.

exe The path to the dlrun wrapper. The default is usually correct.

flags
    The flags to pass into "dlopen". The default is "RTLD_LAZY" on Unix and 0 on windows..

METHODS

  exe
 my $exe = $runner->exe;

The path to the dlrun wrapper.

  flags
 my $flags = $runner->flags;

The flags to pass into "dlopen".

  verify
 $runner->verify;

Verifies the dlrun wrapper is working. Throws an exception in the event of failure.

  run
 $runner->run($dll, @args);

Runs the "dlmain" function in the given dynamic library, passing in the given arguments. Returns a FFI::Probe::Runner::Result object which contains the results.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Bakkiaraj Murugesan (bakkiaraj)

Dylan Cali (calid)

pipcet

Zaki Mughal (zmughal)

Fitz Elliott (felliott)

Vickenty Fesunov (vyf)

Gregor Herrmann (gregoa)

Shlomi Fish (shlomif)

Damyan Ivanov

Ilya Pavlov (Ilya33)

Petr Písař (ppisar)

Mohammad S Anwar (MANWAR)

Håkon Hægland (hakonhagland, HAKONH)

Meredith (merrilymeredith, MHOWARD)

Diab Jerius (DJERIUS)

Eric Brine (IKEGAMI)

szTheory

José Joaquín Atria (JJATRIA)

Pete Houston (openstrike, HOUSTON)

Lukas Mai (MAUKE)

COPYRIGHT AND LICENSE
This software is copyright (c) 2015-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.